Unverified Commit fbd7899b authored by Gavin Wood's avatar Gavin Wood Committed by GitHub
Browse files

Bump all versions to 0.6.0 (#397)

parent 4797b672
Pipeline #50076 passed with stages
in 20 minutes and 49 seconds
......@@ -2,11 +2,11 @@
# It is not intended for manual editing.
[[package]]
name = "adder"
version = "0.1.0"
version = "0.6.0"
dependencies = [
"dlmalloc 0.1.3 (registry+https://github.com/rust-lang/crates.io-index)",
"parity-scale-codec 1.0.5 (registry+https://github.com/rust-lang/crates.io-index)",
"polkadot-parachain 0.1.0",
"polkadot-parachain 0.6.0",
"sr-std 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"substrate-wasm-builder-runner 1.0.2 (registry+https://github.com/rust-lang/crates.io-index)",
"tiny-keccak 1.5.0 (registry+https://github.com/rust-lang/crates.io-index)",
......@@ -16,14 +16,14 @@ dependencies = [
name = "adder-collator"
version = "0.1.0"
dependencies = [
"adder 0.1.0",
"adder 0.6.0",
"ctrlc 3.1.3 (registry+https://github.com/rust-lang/crates.io-index)",
"exit-future 0.1.4 (registry+https://github.com/rust-lang/crates.io-index)",
"futures 0.1.28 (registry+https://github.com/rust-lang/crates.io-index)",
"parking_lot 0.9.0 (registry+https://github.com/rust-lang/crates.io-index)",
"polkadot-collator 0.1.0",
"polkadot-parachain 0.1.0",
"polkadot-primitives 0.1.0",
"polkadot-collator 0.6.0",
"polkadot-parachain 0.6.0",
"polkadot-primitives 0.6.0",
"substrate-primitives 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
]
......@@ -1003,7 +1003,7 @@ dependencies = [
[[package]]
name = "halt"
version = "0.1.0"
version = "0.6.0"
dependencies = [
"substrate-wasm-builder-runner 1.0.2 (registry+https://github.com/rust-lang/crates.io-index)",
]
......@@ -2487,17 +2487,17 @@ source = "registry+https://github.com/rust-lang/crates.io-index"
[[package]]
name = "polkadot"
version = "0.5.0"
version = "0.6.0"
dependencies = [
"ctrlc 3.1.3 (registry+https://github.com/rust-lang/crates.io-index)",
"futures 0.1.28 (registry+https://github.com/rust-lang/crates.io-index)",
"polkadot-cli 0.5.0",
"polkadot-cli 0.6.0",
"vergen 3.0.4 (registry+https://github.com/rust-lang/crates.io-index)",
]
[[package]]
name = "polkadot-availability-store"
version = "0.1.0"
version = "0.6.0"
dependencies = [
"kvdb 0.1.0 (git+https://github.com/paritytech/parity-common?rev=616b40150ded71f57f650067fcbc5c99d7c343e6)",
"kvdb-memorydb 0.1.0 (git+https://github.com/paritytech/parity-common?rev=616b40150ded71f57f650067fcbc5c99d7c343e6)",
......@@ -2505,18 +2505,18 @@ dependencies = [
"log 0.4.8 (registry+https://github.com/rust-lang/crates.io-index)",
"parity-scale-codec 1.0.5 (registry+https://github.com/rust-lang/crates.io-index)",
"parking_lot 0.9.0 (registry+https://github.com/rust-lang/crates.io-index)",
"polkadot-primitives 0.1.0",
"polkadot-primitives 0.6.0",
"substrate-primitives 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
]
[[package]]
name = "polkadot-cli"
version = "0.5.0"
version = "0.6.0"
dependencies = [
"exit-future 0.1.4 (registry+https://github.com/rust-lang/crates.io-index)",
"futures 0.1.28 (registry+https://github.com/rust-lang/crates.io-index)",
"log 0.4.8 (registry+https://github.com/rust-lang/crates.io-index)",
"polkadot-service 0.5.0",
"polkadot-service 0.6.0",
"structopt 0.2.18 (registry+https://github.com/rust-lang/crates.io-index)",
"substrate-cli 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"tokio 0.1.22 (registry+https://github.com/rust-lang/crates.io-index)",
......@@ -2524,16 +2524,16 @@ dependencies = [
[[package]]
name = "polkadot-collator"
version = "0.1.0"
version = "0.6.0"
dependencies = [
"futures 0.1.28 (registry+https://github.com/rust-lang/crates.io-index)",
"futures-preview 0.3.0-alpha.17 (registry+https://github.com/rust-lang/crates.io-index)",
"log 0.4.8 (registry+https://github.com/rust-lang/crates.io-index)",
"polkadot-cli 0.5.0",
"polkadot-network 0.1.0",
"polkadot-primitives 0.1.0",
"polkadot-runtime 0.1.0",
"polkadot-validation 0.1.0",
"polkadot-cli 0.6.0",
"polkadot-network 0.6.0",
"polkadot-primitives 0.6.0",
"polkadot-runtime 0.6.0",
"polkadot-validation 0.6.0",
"substrate-client 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"substrate-consensus-common 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"substrate-keyring 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
......@@ -2544,10 +2544,10 @@ dependencies = [
[[package]]
name = "polkadot-erasure-coding"
version = "0.1.0"
version = "0.6.0"
dependencies = [
"parity-scale-codec 1.0.5 (registry+https://github.com/rust-lang/crates.io-index)",
"polkadot-primitives 0.1.0",
"polkadot-primitives 0.6.0",
"reed-solomon-erasure 4.0.0 (git+https://github.com/paritytech/reed-solomon-erasure)",
"substrate-primitives 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"substrate-trie 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
......@@ -2555,15 +2555,15 @@ dependencies = [
[[package]]
name = "polkadot-executor"
version = "0.1.0"
version = "0.6.0"
dependencies = [
"polkadot-runtime 0.1.0",
"polkadot-runtime 0.6.0",
"substrate-executor 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
]
[[package]]
name = "polkadot-network"
version = "0.1.0"
version = "0.6.0"
dependencies = [
"arrayvec 0.4.11 (registry+https://github.com/rust-lang/crates.io-index)",
"exit-future 0.1.4 (registry+https://github.com/rust-lang/crates.io-index)",
......@@ -2571,9 +2571,9 @@ dependencies = [
"log 0.4.8 (registry+https://github.com/rust-lang/crates.io-index)",
"parity-scale-codec 1.0.5 (registry+https://github.com/rust-lang/crates.io-index)",
"parking_lot 0.9.0 (registry+https://github.com/rust-lang/crates.io-index)",
"polkadot-availability-store 0.1.0",
"polkadot-primitives 0.1.0",
"polkadot-validation 0.1.0",
"polkadot-availability-store 0.6.0",
"polkadot-primitives 0.6.0",
"polkadot-validation 0.6.0",
"sr-primitives 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"substrate-client 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"substrate-keyring 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
......@@ -2583,11 +2583,11 @@ dependencies = [
[[package]]
name = "polkadot-parachain"
version = "0.1.0"
version = "0.6.0"
dependencies = [
"adder 0.1.0",
"adder 0.6.0",
"derive_more 0.14.1 (registry+https://github.com/rust-lang/crates.io-index)",
"halt 0.1.0",
"halt 0.6.0",
"lazy_static 1.3.0 (registry+https://github.com/rust-lang/crates.io-index)",
"log 0.4.8 (registry+https://github.com/rust-lang/crates.io-index)",
"parity-scale-codec 1.0.5 (registry+https://github.com/rust-lang/crates.io-index)",
......@@ -2601,11 +2601,11 @@ dependencies = [
[[package]]
name = "polkadot-primitives"
version = "0.1.0"
version = "0.6.0"
dependencies = [
"bitvec 0.14.0 (registry+https://github.com/rust-lang/crates.io-index)",
"parity-scale-codec 1.0.5 (registry+https://github.com/rust-lang/crates.io-index)",
"polkadot-parachain 0.1.0",
"polkadot-parachain 0.6.0",
"pretty_assertions 0.5.1 (registry+https://github.com/rust-lang/crates.io-index)",
"serde 1.0.98 (registry+https://github.com/rust-lang/crates.io-index)",
"sr-primitives 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
......@@ -2620,14 +2620,14 @@ dependencies = [
[[package]]
name = "polkadot-runtime"
version = "0.1.0"
version = "0.6.0"
dependencies = [
"bitvec 0.14.0 (registry+https://github.com/rust-lang/crates.io-index)",
"hex-literal 0.2.0 (registry+https://github.com/rust-lang/crates.io-index)",
"libsecp256k1 0.2.2 (registry+https://github.com/rust-lang/crates.io-index)",
"log 0.3.9 (registry+https://github.com/rust-lang/crates.io-index)",
"parity-scale-codec 1.0.5 (registry+https://github.com/rust-lang/crates.io-index)",
"polkadot-primitives 0.1.0",
"polkadot-primitives 0.6.0",
"rustc-hex 2.0.1 (registry+https://github.com/rust-lang/crates.io-index)",
"safe-mix 1.0.0 (registry+https://github.com/rust-lang/crates.io-index)",
"serde 1.0.98 (registry+https://github.com/rust-lang/crates.io-index)",
......@@ -2674,7 +2674,7 @@ dependencies = [
[[package]]
name = "polkadot-service"
version = "0.5.0"
version = "0.6.0"
dependencies = [
"exit-future 0.1.4 (registry+https://github.com/rust-lang/crates.io-index)",
"futures 0.1.28 (registry+https://github.com/rust-lang/crates.io-index)",
......@@ -2682,12 +2682,12 @@ dependencies = [
"lazy_static 1.3.0 (registry+https://github.com/rust-lang/crates.io-index)",
"log 0.4.8 (registry+https://github.com/rust-lang/crates.io-index)",
"parking_lot 0.9.0 (registry+https://github.com/rust-lang/crates.io-index)",
"polkadot-availability-store 0.1.0",
"polkadot-executor 0.1.0",
"polkadot-network 0.1.0",
"polkadot-primitives 0.1.0",
"polkadot-runtime 0.1.0",
"polkadot-validation 0.1.0",
"polkadot-availability-store 0.6.0",
"polkadot-executor 0.6.0",
"polkadot-network 0.6.0",
"polkadot-primitives 0.6.0",
"polkadot-runtime 0.6.0",
"polkadot-validation 0.6.0",
"slog 2.5.2 (registry+https://github.com/rust-lang/crates.io-index)",
"sr-io 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"sr-primitives 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
......@@ -2710,16 +2710,16 @@ dependencies = [
[[package]]
name = "polkadot-statement-table"
version = "0.1.0"
version = "0.6.0"
dependencies = [
"parity-scale-codec 1.0.5 (registry+https://github.com/rust-lang/crates.io-index)",
"polkadot-primitives 0.1.0",
"polkadot-primitives 0.6.0",
"substrate-primitives 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
]
[[package]]
name = "polkadot-validation"
version = "0.1.0"
version = "0.6.0"
dependencies = [
"bitvec 0.14.0 (registry+https://github.com/rust-lang/crates.io-index)",
"derive_more 0.14.1 (registry+https://github.com/rust-lang/crates.io-index)",
......@@ -2730,11 +2730,11 @@ dependencies = [
"log 0.4.8 (registry+https://github.com/rust-lang/crates.io-index)",
"parity-scale-codec 1.0.5 (registry+https://github.com/rust-lang/crates.io-index)",
"parking_lot 0.9.0 (registry+https://github.com/rust-lang/crates.io-index)",
"polkadot-availability-store 0.1.0",
"polkadot-parachain 0.1.0",
"polkadot-primitives 0.1.0",
"polkadot-runtime 0.1.0",
"polkadot-statement-table 0.1.0",
"polkadot-availability-store 0.6.0",
"polkadot-parachain 0.6.0",
"polkadot-primitives 0.6.0",
"polkadot-runtime 0.6.0",
"polkadot-statement-table 0.6.0",
"sr-primitives 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"srml-babe 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
"substrate-client 2.0.0 (git+https://github.com/paritytech/substrate?branch=polkadot-master)",
......
......@@ -4,7 +4,7 @@ path = "src/main.rs"
[package]
name = "polkadot"
version = "0.5.0"
version = "0.6.0"
authors = ["Parity Technologies <admin@parity.io>"]
build = "build.rs"
edition = "2018"
......
[package]
name = "polkadot-availability-store"
description = "Persistent database for parachain data"
version = "0.1.0"
version = "0.6.0"
authors = ["Parity Technologies <admin@parity.io>"]
edition = "2018"
......
[package]
name = "polkadot-cli"
version = "0.5.0"
version = "0.6.0"
authors = ["Parity Technologies <admin@parity.io>"]
description = "Polkadot node implementation in Rust."
edition = "2018"
......
[package]
name = "polkadot-collator"
version = "0.1.0"
version = "0.6.0"
authors = ["Parity Technologies <admin@parity.io>"]
description = "Collator node implementation"
edition = "2018"
......@@ -12,8 +12,8 @@ client = { package = "substrate-client", git = "https://github.com/paritytech/su
primitives = { package = "substrate-primitives", git = "https://github.com/paritytech/substrate", branch = "polkadot-master" }
substrate-network = { git = "https://github.com/paritytech/substrate", branch = "polkadot-master" }
consensus_common = { package = "substrate-consensus-common", git = "https://github.com/paritytech/substrate", branch = "polkadot-master" }
polkadot-runtime = { path = "../runtime", version = "0.1" }
polkadot-primitives = { path = "../primitives", version = "0.1" }
polkadot-runtime = { path = "../runtime" }
polkadot-primitives = { path = "../primitives" }
polkadot-cli = { path = "../cli" }
polkadot-network = { path = "../network" }
polkadot-validation = { path = "../validation" }
......
[package]
name = "polkadot-erasure-coding"
version = "0.1.0"
version = "0.6.0"
authors = ["Parity Technologies <admin@parity.io>"]
edition = "2018"
......
[package]
name = "polkadot-executor"
version = "0.1.0"
version = "0.6.0"
authors = ["Parity Technologies <admin@parity.io>"]
description = "Polkadot node implementation in Rust."
edition = "2018"
......
[package]
name = "polkadot-network"
version = "0.1.0"
version = "0.6.0"
authors = ["Parity Technologies <admin@parity.io>"]
description = "Polkadot-specific networking protocol"
edition = "2018"
......
[package]
name = "polkadot-parachain"
version = "0.1.0"
version = "0.6.0"
authors = ["Parity Technologies <admin@parity.io>"]
description = "Types and utilities for creating and working with parachains"
edition = "2018"
......
[package]
name = "polkadot-primitives"
version = "0.1.0"
version = "0.6.0"
authors = ["Parity Technologies <admin@parity.io>"]
edition = "2018"
......
[package]
name = "polkadot-runtime"
version = "0.1.0"
version = "0.6.0"
authors = ["Parity Technologies <admin@parity.io>"]
edition = "2018"
build = "build.rs"
......
[package]
name = "polkadot-service"
version = "0.5.0"
version = "0.6.0"
authors = ["Parity Technologies <admin@parity.io>"]
edition = "2018"
......
[package]
name = "polkadot-statement-table"
version = "0.1.0"
version = "0.6.0"
authors = ["Parity Technologies <admin@parity.io>"]
edition = "2018"
......
[package]
name = "adder"
version = "0.1.0"
version = "0.6.0"
authors = ["Parity Technologies <admin@parity.io>"]
description = "Test parachain which adds to a number as its state transition"
edition = "2018"
......
[package]
name = "halt"
version = "0.1.0"
version = "0.6.0"
authors = ["Parity Technologies <admin@parity.io>"]
description = "Test parachain which executes forever"
edition = "2018"
......
[package]
name = "polkadot-validation"
version = "0.1.0"
version = "0.6.0"
authors = ["Parity Technologies <admin@parity.io>"]
edition = "2018"
......
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment